GET openApi/students/{userIdentifier}/followUpActivities?Count={Count}&Offset={Offset}
Authorization
Access to this endpoint is granted if all following conditions are true:
- Authenticated territory has access to center which matches identifier given in "centerId" uri parameter.
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| userIdentifier | PearsonEnglish.LearningServices.Business.Helpers.UserIdentifier |
Required |
|
| Count | integer |
None. |
|
| Offset | integer |
None. |
Body Parameters
None.
Response Information
Resource Description
Collection of PearsonEnglish.LearningServices.Core.Models.Views.FollowUpActivityViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | globally unique identifier |
None. |
|
| StudentId | globally unique identifier |
None. |
|
| ReporterId | globally unique identifier |
None. |
|
| ReporterFullName | string |
None. |
|
| LocalDate | date |
None. |
|
| Result | string |
None. |
|
| HasReachedStudent | boolean |
None. |
|
| StaffMemberPhotoUris | Dictionary of Nse.ServiceBus.DataContracts.ImageResolution [key] and string [value] |
None. |
|
| FollowUpActivityType | PearsonEnglish.LearningServices.Core.Models.Views.FollowUpActivityTypeViewModel |
None. |
Response Formats
application/json, text/json
Sample:
[
{
"Id": "26f2c76e-6e01-472d-9d80-d551131c9170",
"StudentId": "e8943b67-c314-479c-9ed7-fea0b9b3ae88",
"ReporterId": "1f411a16-7ef2-43c2-811c-b6de5b2af88d",
"ReporterFullName": "sample string 4",
"LocalDate": "2026-11-19T10:25:06.2426363+00:00",
"Result": "sample string 6",
"HasReachedStudent": true,
"StaffMemberPhotoUris": {
"Small": "sample string 1"
},
"FollowUpActivityType": {
"Id": "1299516b-6231-41fa-9ba2-7e0948aa2565",
"Name": "sample string 2"
}
},
{
"Id": "26f2c76e-6e01-472d-9d80-d551131c9170",
"StudentId": "e8943b67-c314-479c-9ed7-fea0b9b3ae88",
"ReporterId": "1f411a16-7ef2-43c2-811c-b6de5b2af88d",
"ReporterFullName": "sample string 4",
"LocalDate": "2026-11-19T10:25:06.2426363+00:00",
"Result": "sample string 6",
"HasReachedStudent": true,
"StaffMemberPhotoUris": {
"Small": "sample string 1"
},
"FollowUpActivityType": {
"Id": "1299516b-6231-41fa-9ba2-7e0948aa2565",
"Name": "sample string 2"
}
}
]